Skip to main content
GET
/
environment
/
{environmentId}
/
secret
List environment secrets
curl --request GET \
  --url https://api.qovery.com/environment/{environmentId}/secret \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "key": "<string>",
      "scope": "APPLICATION",
      "updated_at": "2023-11-07T05:31:56Z",
      "overridden_secret": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "<string>",
        "mount_path": "<string>",
        "scope": "APPLICATION",
        "variable_type": "VALUE",
        "description": "<string>",
        "enable_interpolation_in_file": true
      },
      "aliased_secret": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "QOVERY_DATABASE_PSQL_NAME",
        "mount_path": "<string>",
        "scope": "APPLICATION",
        "variable_type": "VALUE",
        "description": "<string>",
        "enable_interpolation_in_file": true
      },
      "variable_type": "VALUE",
      "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "service_name": "<string>",
      "service_type": "APPLICATION",
      "owned_by": "<string>",
      "description": "<string>",
      "enable_interpolation_in_file": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Response

List environment secrets

results
object[]